explain_getrusage_or_die(3)

NAME
explain_getrusage_or_die - get resource usage and report errors
    "get resource usage and report errors"

SYNOPSIS
#include <libexplain/getrusage.h>

void explain_getrusage_or_die(int who, struct rusage *usage);
int explain_getrusage_on_error(int who, struct rusage *usage);

DESCRIPTION
The explain_getrusage_or_die function is used to call the getrusage(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getrusage(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getrusage_on_error function is used to call the getrusage(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getrusage(3) function, but still returns to the caller.

who The who, exactly as to be passed to the getrusage(2) system call.

usage
    The usage, exactly as to be passed to the getrusage(2) system call.

RETURN VALUE
The explain_getrusage_or_die function only returns on success, see getrusage(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getrusage_on_error function always returns the value return by the wrapped getrusage(2) system call.

EXAMPLE
The explain_getrusage_or_die function is intended to be used in a fashion similar to the following example:
    explain_getrusage_or_die(who, usage);

SEE ALSO

getrusage(2)
    get resource usage

explain_getrusage(3)
    explain getrusage(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2013 Peter Miller